Error in Processing modeller

2018-11-23 04:26 PM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Debian Sid Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28429

Description

when creating a model in Processing (QGIS 3.4.1), if one param is missing (band number in gdal contour), an error is thrown [0] before

showing the proper error message.

[0] 

An error has occurred while executing Python code: 

processing.gui.wrappers.InvalidParameterValue 

Traceback (most recent call last):

  File "/usr/local/src/qgis/QGIS/build-qgis341/output/python/plugins/processing/gui/wrappers.py", line 208, in widgetValue

    return self.value()

  File "/usr/local/src/qgis/QGIS/build-qgis341/output/python/plugins/processing/gui/wrappers.py", line 1764, in value

    return self.comboValue(validator)

  File "/usr/local/src/qgis/QGIS/build-qgis341/output/python/plugins/processing/gui/wrappers.py", line 174, in comboValue

    raise InvalidParameterValue()

processing.gui.wrappers.InvalidParameterValue

Python version: 3.6.7 (default, Oct 21 2018, 08:08:16) [GCC 8.2.0] 

QGIS version: 3.4.1-Madeira Madeira, f7bba750bc 

Python Path:

    /usr/local/src/qgis/QGIS/build-qgis341/output/python

    /home/paolo/.local/share/QGIS/QGIS3/profiles/Ghent course/python

    /home/paolo/.local/share/QGIS/QGIS3/profiles/Ghent course/python/plugins

    /usr/local/src/qgis/QGIS/build-qgis341/output/python/plugins

    /usr/lib/python36.zip

    /usr/lib/python3.6

    /usr/lib/python3.6/lib-dynload

    /usr/local/lib/python3.6/dist-packages

    /usr/lib/python3/dist-packages

    /home/paolo/.local/share/QGIS/QGIS3/profiles/Ghent course/python

    /home/paolo/Desktop/processing/modeler_twi
History

#1 - 2018-11-23 06:17 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Category changed from Processing/GDAL to Processing/Modeller

#2 - 2019-01-22 10:24 AM - Victor Olaya

- Status changed from Open to Feedback

Cannot reproduce.

I create a model and add a raster layer. When later I add the contour algorithm, the band parameter is populated with "1". I delete that value, leaving the

box empty, and try to add the algorithm, but it correctly shows the warning message

Checking the code, the exception that you report is being correctly catched. The corresponding code is there since 2017...

Can you provide a more detailed explanation on how to reproduce the error?

#3 - 2019-01-22 10:28 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

I can confirm, now the correct error is displayed.
